﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Mvc;
using System.Web.Security;
using System.Web;

namespace HeuristicLab.Services.Optimization.Web.Models {
  public class UploadScenario {
    private HttpPostedFileBase scenarioMapper;

    public HttpPostedFileBase ScenarioMapper {
      get { return scenarioMapper; }
      set { scenarioMapper = value; }
    }

    private HttpPostedFileBase scenarioXml;

    public HttpPostedFileBase ScenarioXml {
      get { return scenarioXml; }
      set { scenarioXml = value; }
    }

    private HttpPostedFileBase scenarioJs;

    public HttpPostedFileBase ScenarioJs {
      get { return scenarioJs; }
      set { scenarioJs = value; }
    }
  }

  public class ScenarioModel {
    public string Scenario { get; set; }
    public bool Exists { get; set; }
  }

  public class UploadVisualExtension {

    private string scenarioId;

    public string ScenarioId {
      get { return scenarioId; }
      set { scenarioId = value; }
    }


    private HttpPostedFileBase scenarioJs;

    public HttpPostedFileBase ScenarioJs {
      get { return scenarioJs; }
      set { scenarioJs = value; }
    }

  }
}